petsc-3.4.2 2013-07-02

# MatAssembled

Indicates if a matrix has been assembled and is ready for use; for example, in matrix-vector product.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatAssembled(Mat mat,PetscBool  *assembled)

Not Collective

### Input Parameter

mat -the matrix

### Output Parameter

assembled -PETSC_TRUE or PETSC_FALSE

### See Also

MatAssemblyEnd(), MatSetValues(), MatAssemblyBegin()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex58.c.html